---
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ template "name" . }}
data:
  config.toml: |
    [general]
    # Log level
    #
    # debug=5, info=4, warning=3, error=2, fatal=1, panic=0
    log_level={{ .Values.general.log_level }}
    shutdown_timeout={{ .Values.general.shutdown_timeout | quote }}
    pprof={{ .Values.general.pprof }}
    json_logging={{ .Values.general.json_logging }}
    [alertmanager]
    bind="0.0.0.0:1971"
    [mqtt]
    # MQTT server (e.g. scheme://host:port where scheme is tcp, ssl or ws)
    server={{ .Values.mqtt.server | quote }}

    # Connect with the given username (optional)
    username=""

    # Connect with the given password (optional)
    password=""

    # Maximum interval that will be waited between reconnection attempts when connection is lost.
    # Valid units are 'ms', 's', 'm', 'h'. Note that these values can be combined, e.g. '24h30m15s'.
    max_reconnect_interval={{ .Values.mqtt.max_reconnect_interval | quote }}

    # Quality of service level
    #
    # 0: at most once
    # 1: at least once
    # 2: exactly once
    #
    # Note: an increase of this value will decrease the performance.
    # For more information: https://www.hivemq.com/blog/mqtt-essentials-part-6-mqtt-quality-of-service-levels

    qos={{ .Values.mqtt.qos }}
    # Clean session
    #
    # Set the "clean session" flag in the connect message when this client
    # connects to an MQTT broker. By setting this flag you are indicating
    # that no messages saved by the broker for this client should be delivered.
    clean_session={{ .Values.mqtt.clean_session }}

    # Client ID
    #
    # Set the client id to be used by this client when connecting to the MQTT
    # broker. A client id must be no longer than 23 characters. When left blank,
    # a random id will be generated. This requires clean_session=true.
    client_id=""

    keep_alive={{ .Values.mqtt.keep_alive | quote }}

    [gateway]
    gateway_id=""

    [gateway.command.revive]
      exec="/opt/revive/revive.sh'"
      timeout="2s"
